"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var ora = require("ora");
var spinner = ora();
var lastMsg = null;
function logWithSpinner(msg) {
    if (lastMsg) {
        spinner.stop();
    }
    spinner.text = msg;
    lastMsg = msg;
    spinner.start();
}
exports.logWithSpinner = logWithSpinner;
function succeedSpinner(msg) {
    if (msg) {
        spinner.succeed(msg);
    }
    else {
        spinner.stop();
    }
    lastMsg = null;
}
exports.succeedSpinner = succeedSpinner;
function failSpinner(text) {
    spinner.fail(text);
    lastMsg = null;
}
exports.failSpinner = failSpinner;
function stopSpinner(persist) {
    if (lastMsg && persist !== false) {
        spinner.stopAndPersist(lastMsg);
    }
    else {
        spinner.stop();
    }
    lastMsg = null;
}
exports.stopSpinner = stopSpinner;
function pauseSpinner() {
    spinner.stop();
}
exports.pauseSpinner = pauseSpinner;
function resumeSpinner() {
    spinner.start();
}
exports.resumeSpinner = resumeSpinner;
//# sourceMappingURL=spinner.js.map